Package org.apache.sling.caconfig.resource.impl.def

# Class DefaultContextPathStrategy

java.lang.Object
org.apache.sling.caconfig.resource.impl.def.DefaultContextPathStrategy

All Implemented Interfaces:
  `org.apache.sling.caconfig.resource.spi.ContextPathStrategy`

public class DefaultContextPathStrategy extends Object implements org.apache.sling.caconfig.resource.spi.ContextPathStrategy

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static @interface`
`DefaultContextPathStrategy.Config`

## Constructor Summary

Constructors
Constructor
Description
`DefaultContextPathStrategy()`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Iterator<org.apache.sling.caconfig.resource.spi.ContextResource>`
`findContextResources(@NotNull org.apache.sling.api.resource.Resource resource)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultContextPathStrategy

public DefaultContextPathStrategy()

## Method Details

### findContextResources

@NotNull public @NotNull Iterator<org.apache.sling.caconfig.resource.spi.ContextResource> findContextResources(@NotNull @NotNull org.apache.sling.api.resource.Resource resource)

Specified by:
  `findContextResources` in interface `org.apache.sling.caconfig.resource.spi.ContextPathStrategy`